
#include <raylib.h>
#include <imgui.h>
#include <rlImGui.h>

int main(int argc, char *argv[])
{
  int screenWidth = 800;
  int screenHeight = 800;

  SetConfigFlags(FLAG_WINDOW_RESIZABLE);
  InitWindow(screenWidth, screenHeight, "VIEW");
  SetTargetFPS(60);
  rlImGuiSetup(true);

  bool showDemoWindow = true;
  ImGui::GetIO().ConfigFlags |= ImGuiConfigFlags_DockingEnable;

  while (!WindowShouldClose()) 
  {
    BeginDrawing();
    rlImGuiBegin();

    ClearBackground(RAYWHITE);

    ImGui::DockSpaceOverViewport(0, NULL, ImGuiDockNodeFlags_PassthruCentralNode);

    if (ImGui::BeginMainMenuBar())
    {
      if (ImGui::BeginMenu("Window"))
      {
        if (ImGui::MenuItem("Demo Window", nullptr, showDemoWindow))
          showDemoWindow = !showDemoWindow;

        ImGui::EndMenu();
      }
      ImGui::EndMainMenuBar();
    }

    if (showDemoWindow)
      ImGui::ShowDemoWindow(&showDemoWindow);


    rlImGuiEnd();
    EndDrawing();
  }

  rlImGuiShutdown();
  CloseWindow(); 
  return 0;
}